FLAC 1.3.2

Public Attributes | List of all members
FLAC__StreamMetadata_CueSheet Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes
char | media_catalog_number [129]
FLAC__uint64 | lead_in
FLAC__bool | is_cd
unsigned | num_tracks
FLAC__StreamMetadata_CueSheet_Track * | tracks

## Detailed Description

FLAC CUESHEET structure. (See the format specification for the full description of each field.)

## Member Data Documentation

## ◆ media_catalog_number

char FLAC__StreamMetadata_CueSheet::media_catalog_number[129]

Media catalog number, in ASCII printable characters 0x20-0x7e. In general, the media catalog number may be 0 to 128 bytes long; any unused characters should be right-padded with NUL characters.

## ◆ lead_in

FLAC__uint64 FLAC__StreamMetadata_CueSheet::lead_in

The number of lead-in samples.

## ◆ is_cd

FLAC__bool FLAC__StreamMetadata_CueSheet::is_cd

`true` if CUESHEET corresponds to a Compact Disc, else `false`.

## ◆ num_tracks

unsigned FLAC__StreamMetadata_CueSheet::num_tracks

The number of tracks.

## ◆ tracks

FLAC__StreamMetadata_CueSheet_Track* FLAC__StreamMetadata_CueSheet::tracks

NULL if num_tracks == 0, else pointer to array of tracks.

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |